Bug 423881 - kile: DVItoPDF test fails when running the system check
kile: DVItoPDF test fails when running the system check
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kile (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-13 14:02 EST by Peeter Puusemp
Modified: 2009-01-09 02:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:31:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peeter Puusemp 2007-12-13 14:02:02 EST
Description of problem:
After an update DVItoPDF test fails when running the system check in Kile. It
wants to use dvipdfmx, but it doesn't exist. It may be because of this entry
from the Kile change log:
"Added new DVItoPDF config Modern which calls dvipdfmx instead of dvipdfm, set
Modern as default"

By the way, after some time I used the set to default feature in the
Tools->Build section in preferences because of another thing I changed and
wanted to set it back to defaults. After that now the test doesn't fail any more
and DVItoPDF is linked to dvipdfm again. It may be bacause I used the set to
default feature.

Version-Release number of selected component (if applicable):
2.0

How reproducible:
See the Steps to Reproduce.

Steps to Reproduce:
1. Update to the latest Kile with yum.
2. Open the new Kile.
3. Make the system check.
  
Actual results:
System check fails at DVItoPDF

Expected results:
The system check doesn't fail at DVItoPDF.

Additional info:
Comment 1 Rex Dieter 2007-12-13 14:41:18 EST
Thanks, I'll see if we can work to make the defaults better/more-sane.
Comment 2 Thomas Braun 2008-01-11 16:40:44 EST
Hello,

we decided to move to dvipdfmx because dvipdfm has some major limitations. But
dvipdfm is still installed using the "Default" configuration.

So you might consider either:
- revert our switch to dvipdfm (not suggested), svn revision 725057
- make kile depend on dvipdfmx

Bye,
Thomas Braun (the kile dev team)
Comment 3 Rex Dieter 2008-01-11 16:57:27 EST
Thanks Tomas.  I'll follow your advice and depend on dvipdfmx where available
(and revert behavior elsewhere).
Comment 4 Bug Zapper 2008-11-26 03:59:19 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:31:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.